Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.syntax
Class SyntaxStyle

    java.lang.Object
      org.gjt.sp.jedit.syntax.SyntaxStyle

    public class SyntaxStyle

extends java.lang.Object

A simple text style class. It can specify the color, italic flag, and bold flag of a run of text.

Constructor Summary
`SyntaxStyle(java.awt.Color fgColor, java.awt.Color bgColor, java.awt.Font font)` Creates a new SyntaxStyle.

Method Summary
`java.awt.Color` | `getBackgroundColor()` Returns the background color.
`java.awt.Font` | `getFont()` Returns the style font.
`java.awt.Color` | `getForegroundColor()` Returns the text color.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SyntaxStyle

    public SyntaxStyle(java.awt.Color fgColor,
                       java.awt.Color bgColor,
                       java.awt.Font font)

  Creates a new SyntaxStyle.

  Parameters:
    `fgColor` - The text color
    `bgColor` - The background color
    `font` - The text font

Method Detail

### getForegroundColor

    public java.awt.Color getForegroundColor()

  Returns the text color.

### getBackgroundColor

    public java.awt.Color getBackgroundColor()

  Returns the background color.

### getFont

    public java.awt.Font getFont()

  Returns the style font.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD